<template>
  <div class="card rounded overflow-hidden border border-grey p-3 z-50">
    <div class="right-0 top-0 absolute cursor-pointer">
      <Close />
    </div>
    <div class="text-main">
      <p class="text-center font-semibold mb-5">{{ itemData.name }}</p>
      <div class="mb-5">
        <p>Keterangan</p>
        <p class="font-semibold">
          {{ itemData.note }}
        </p>
      </div>
      <div class="mb-5">
        <p>Nama Pencari Bantuan</p>
        <p class="font-semibold">
          {{ itemData.receiver_name }}
        </p>
      </div>
      <div class="mb-5">
        <p>Alamat</p>
        <p class="font-semibold">
          {{ itemData.location.address }}
        </p>
      </div>
      <div class="mb-5">
        <p>Barang yang dibutuhkan</p>
        <div v-for="(item, idx) in itemData.item_details" :key="idx" class="font-semibold flex justify-between">
          <p>{{ item.name }}</p>
          <p>{{ item.quantity }} pcs</p>
        </div>
        <!-- <div class="font-semibold flex justify-between">
          <p>Mie Instan</p>
          <p>1 Dus</p>
        </div>
        <div class="font-semibold flex justify-between">
          <p>Popok bayi</p>
          <p>10 Pcs</p>
        </div> -->
      </div>
      <div class="wrapper--button">
        <p class="text-red font-semibold">Pencari bantuan ini belum diverifikasi</p>
        <Button class="w-full rounded-lg py-3 mb-2" red> Verifikasi</Button>
        <div class="grid grid-cols-2 gap-2">
          <Button class="grid-span-1 rounded-lg py-2" blue> Hubungi</Button>
          <Button class="grid-span-1 rounded-lg py-2" green> Petunjuk Arah</Button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
const Close = () => import('~/components/Icons/close');

export default {
  components: {
    Close,
  },
  props: {
    itemData: {
      required: true,
      type: Object,
    },
  },
};
</script>

<style lang="scss" scoped>
.card {
  color: $black-alt;
  background-color: $white;

  width: 300px;
}
.text-main {
  font-size: 14px;
  line-height: 20px;
}
.text-red {
  color: $red;
}
</style>
